> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get General Ledger

> Returns general-ledger transactions with running balances.

Each row includes a `tags` array with the transaction's tags; a tag's `group`/`group_name` identify the tag group (dimension) it belongs to. List a customer's tag groups via `/coa/api/tag-group` and tags via `/coa/api/tag`.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/general-ledger
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/general-ledger:
    get:
      tags:
        - Financial Statements
      summary: Get General Ledger
      description: >-
        Returns general-ledger transactions with running balances.


        Each row includes a `tags` array with the transaction's tags; a tag's
        `group`/`group_name` identify the tag group (dimension) it belongs to.
        List a customer's tag groups via `/coa/api/tag-group` and tags via
        `/coa/api/tag`.
      operationId: coa_api_general_ledger_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralLedgerResponse'
          description: ''
components:
  schemas:
    GeneralLedgerResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/GeneralLedgerTransaction'
        count:
          type: integer
        has_next:
          type: boolean
        current_page:
          type: integer
        total_pages:
          type: integer
      required:
        - count
        - current_page
        - has_next
        - results
        - total_pages
    GeneralLedgerTransaction:
      type: object
      properties:
        id:
          type: integer
        entity:
          type: integer
        entity_name:
          type: string
          nullable: true
        entity_currency:
          type: string
          nullable: true
        account_id:
          type: integer
        account_number:
          type: string
        account_name:
          type: string
          description: Combines account number and name in the format "number - name"
          readOnly: true
        account_type:
          type: string
        posted_at:
          type: string
          format: date
        debit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        debit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        credit_amount_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        balance_before_transaction:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        balance_after_transaction:
          type: number
          format: double
          readOnly: true
        balance_after_transaction_book:
          type: number
          format: double
          readOnly: true
        balance_before_transaction_native:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        balance_after_transaction_native:
          type: number
          format: double
          readOnly: true
        bank_description:
          type: string
          nullable: true
        journal:
          type: integer
        journal_order:
          type: string
          nullable: true
        journal_currency:
          type: string
          nullable: true
        intercompany_journal:
          type: integer
        department:
          type: integer
          nullable: true
        department_name:
          type: string
          nullable: true
        vendor:
          type: integer
          nullable: true
        vendor_name:
          type: string
          nullable: true
        tags:
          type: array
          items:
            $ref: '#/components/schemas/GeneralLedgerTag'
          readOnly: true
        opposing_account_name:
          type: string
          nullable: true
        opposing_account_number:
          type: string
          nullable: true
      required:
        - account_id
        - account_name
        - account_number
        - account_type
        - balance_after_transaction
        - balance_after_transaction_book
        - balance_after_transaction_native
        - balance_before_transaction
        - balance_before_transaction_native
        - bank_description
        - credit_amount
        - credit_amount_book
        - credit_amount_native
        - debit_amount
        - debit_amount_book
        - debit_amount_native
        - department
        - department_name
        - entity
        - entity_currency
        - entity_name
        - id
        - intercompany_journal
        - journal
        - journal_currency
        - journal_order
        - opposing_account_name
        - opposing_account_number
        - posted_at
        - tags
        - vendor
        - vendor_name
    GeneralLedgerTag:
      type: object
      description: Schema shape for a resolved transaction tag on a general-ledger row.
      properties:
        id:
          type: string
        name:
          type: string
        group:
          type: string
          nullable: true
          description: Tag group (dimension) ID
        group_name:
          type: string
          nullable: true
          description: Tag group (dimension) name
        parent:
          type: string
          nullable: true
        parent_name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          nullable: true
        last_modified_at:
          type: string
          format: date-time
          nullable: true
      required:
        - created_at
        - group
        - group_name
        - id
        - last_modified_at
        - name
        - parent
        - parent_name

````